<template>
  <div class="app-container">
    <memberModule :currentData="currentData" />
    <contentModule :currentData="currentData" />
    <studentList />
  </div>
</template>
<script>
import memberModule from "./components/memberModule.vue";
import contentModule from "./components/contentModule.vue";
import studentList from "./components/studentList";
import { getCurrentDayCircleData } from "@/api/circle";
export default {
  components: { memberModule, contentModule, studentList },
  data() {
    return {
      currentData: {}
    };
  },
  created() {
    this.getData();
  },
  methods: {
    async getData() {
      const ret = await getCurrentDayCircleData({ id: this.$route.query.id });
      if (ret && ret.data) {
        this.currentData = ret.data;
      }
    }
  }
};
</script>
